%define anolis_release 1
# Perform optional tests
%bcond_with perl_Compress_Raw_Lzma_enables_optional_test

Name:		perl-Compress-Raw-Lzma
Version:	2.204
Release:	%{anolis_release}%{?dist}
Summary:	Low-level interface to lzma compression library
License:	GPL+ or Artistic
URL:		https://metacpan.org/release/Compress-Raw-Lzma
Source0:	https://cpan.metacpan.org/modules/by-module/Compress/Compress-Raw-Lzma-%{version}.tar.gz
# Module Build
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	gcc
BuildRequires:	make
BuildRequires:	perl-devel
BuildRequires:	perl-generators
BuildRequires:	perl-interpreter
BuildRequires:	perl(Config)
BuildRequires:	perl(ExtUtils::Constant)
BuildRequires:	perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:	perl(File::Copy)
BuildRequires:	perl(File::Spec::Functions)
BuildRequires:	perl(lib)
BuildRequires:	xz-devel
# Module Runtime
BuildRequires:	perl(AutoLoader)
BuildRequires:	perl(bytes)
BuildRequires:	perl(Carp)
BuildRequires:	perl(constant)
BuildRequires:	perl(Exporter)
BuildRequires:	perl(Scalar::Util)
BuildRequires:	perl(strict)
BuildRequires:	perl(UNIVERSAL)
BuildRequires:	perl(warnings)
BuildRequires:	perl(XSLoader)
# Test Suite
BuildRequires:	perl(File::Path)
BuildRequires:	perl(Test::More)
%if %{with perl_Compress_Raw_Lzma_enables_optional_test}
# Optional Tests
BuildRequires:	perl(Test::CPAN::Meta)
BuildRequires:	perl(Test::CPAN::Meta::JSON)
BuildRequires:	perl(Test::NoWarnings)
BuildRequires:	perl(Test::Pod) >= 1.00
BuildRequires:	xz
%endif
# Runtime
Requires:	perl(XSLoader)
# Built-against version is embedded in module, so we have a strict version dependency
Requires:	xz-libs = %{installed_version_of xz-libs}

# Don't "provide" private Perl libs
%{?perl_default_filter}

%description
This module provides a Perl interface to the lzma compression library.
It is used by IO::Compress::Lzma.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%setup -q -n Compress-Raw-Lzma-%{version}

# Remove bundled test modules
rm -rv t/Test/
perl -i -ne 'print $_ unless m{^t/Test/}' MANIFEST

%build
perl Makefile.PL \
  INSTALLDIRS=vendor \
  NO_PACKLIST=1 \
  NO_PERLLOCAL=1 \
  OPTIMIZE="%{optflags}"
%{make_build}

%install
%{make_install}
find %{buildroot} -type f -name '*.bs' -empty -delete
%{_fixperms} -c %{buildroot}

%check
make test

%files
%{perl_vendorarch}/auto/Compress/*
%{perl_vendorarch}/Compress/*
%{_mandir}/man3/Compress::Raw::Lzma.3*

%files doc
%doc Changes README

%changelog
* Fri May 05 2023 Funda Wang <fundawang@yeah.net> - 2.204-1
- New version 2.204

* Tue Mar 21 2023 Funda Wang <fundawang@yeah.net> - 2.201-7
- Rebuild for new xz (5.4.2)

* Wed Feb 08 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 2.201-6
- remove versioned MODULE_COMPAT_ requires

* Mon Jan 30 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 2.201-5
- rebuild with perl 5.36.0

* Fri Jan 13 2023 Funda Wang <fundawang@yeah.net> - 2.201-4
- Rebuild for new xz (5.4.1)

* Thu Dec 15 2022 Funda Wang <fundawang@yeah.net> - 2.201-3
- Rebuild for new xz (5.4.0)

* Mon Dec 5 2022 Funda Wang <fundawang@yeah.net> - 2.201-2
- Rebuld for new xz (5.2.9)

* Thu Nov 24 2022 Funda Wang <fundawang@yeah.net> - 2.201-1
- New version 2.201

* Sat Oct 08 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 2.103-2
- add doc package

* Wed Apr 20 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 2.103-1
- init from upstream
